/* Element Chalk Variables */
:root {
  --el-popup-modal-bg-color: var(--el-color-black);
  --el-popup-modal-opacity: 0.5;
}

.v-modal-enter {
  animation: v-modal-in var(--el-transition-duration-fast) ease;
}

.v-modal-leave {
  animation: v-modal-out var(--el-transition-duration-fast) ease forwards;
}

@keyframes v-modal-in {
  0% {
    opacity: 0;
  }
}
@keyframes v-modal-out {
  100% {
    opacity: 0;
  }
}
.v-modal {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: var(--el-popup-modal-opacity);
  background: var(--el-popup-modal-bg-color);
}

.el-popup-parent--hidden {
  overflow: hidden;
}

.el-message-box {
  --el-messagebox-title-color: var(--el-text-color-primary);
  --el-messagebox-width: 420px;
  --el-messagebox-border-radius: 4px;
  --el-messagebox-box-shadow: var(--el-box-shadow);
  --el-messagebox-font-size: var(--el-font-size-large);
  --el-messagebox-content-font-size: var(--el-font-size-base);
  --el-messagebox-content-color: var(--el-text-color-regular);
  --el-messagebox-error-font-size: 12px;
  --el-messagebox-padding-primary: 12px;
  --el-messagebox-font-line-height: var(--el-font-line-height-primary);
}

.el-message-box {
  display: inline-block;
  position: relative;
  max-width: var(--el-messagebox-width);
  width: 100%;
  padding: var(--el-messagebox-padding-primary);
  vertical-align: middle;
  background-color: var(--el-bg-color);
  border-radius: var(--el-messagebox-border-radius);
  font-size: var(--el-messagebox-font-size);
  box-shadow: var(--el-messagebox-box-shadow);
  text-align: left;
  overflow: hidden;
  backface-visibility: hidden;
  box-sizing: border-box;
  overflow-wrap: break-word;
}
.el-message-box:focus {
  outline: none !important;
}
.is-message-box .el-overlay-message-box {
  text-align: center;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 16px;
  overflow: auto;
}
.is-message-box .el-overlay-message-box::after {
  content: "";
  display: inline-block;
  height: 100%;
  width: 0;
  vertical-align: middle;
}

.el-message-box.is-draggable .el-message-box__header {
  cursor: move;
  -webkit-user-select: none;
          user-select: none;
}

.el-message-box__header {
  padding-bottom: var(--el-messagebox-padding-primary);
}
.el-message-box__header.show-close {
  padding-right: calc(var(--el-messagebox-padding-primary) + var(--el-message-close-size, 16px));
}

.el-message-box__title {
  font-size: var(--el-messagebox-font-size);
  line-height: var(--el-messagebox-font-line-height);
  color: var(--el-messagebox-title-color);
}

.el-message-box__headerbtn {
  position: absolute;
  top: 0;
  right: 0;
  padding: 0;
  width: 40px;
  height: 40px;
  border: none;
  outline: none;
  background: transparent;
  font-size: var(--el-message-close-size, 16px);
  cursor: pointer;
}
.el-message-box__headerbtn .el-message-box__close {
  color: var(--el-color-info);
  font-size: inherit;
}
.el-message-box__headerbtn:focus .el-message-box__close, .el-message-box__headerbtn:hover .el-message-box__close {
  color: var(--el-color-primary);
}

.el-message-box__content {
  color: var(--el-messagebox-content-color);
  font-size: var(--el-messagebox-content-font-size);
}

.el-message-box__container {
  display: flex;
  align-items: center;
  gap: 12px;
}

.el-message-box__input {
  padding-top: 12px;
}
.el-message-box__input div.invalid > input {
  border-color: var(--el-color-error);
}
.el-message-box__input div.invalid > input:focus {
  border-color: var(--el-color-error);
}

.el-message-box__status {
  font-size: 24px;
}
.el-message-box__status.el-message-box-icon--primary {
  --el-messagebox-color: var(--el-color-primary);
  color: var(--el-messagebox-color);
}
.el-message-box__status.el-message-box-icon--success {
  --el-messagebox-color: var(--el-color-success);
  color: var(--el-messagebox-color);
}
.el-message-box__status.el-message-box-icon--info {
  --el-messagebox-color: var(--el-color-info);
  color: var(--el-messagebox-color);
}
.el-message-box__status.el-message-box-icon--warning {
  --el-messagebox-color: var(--el-color-warning);
  color: var(--el-messagebox-color);
}
.el-message-box__status.el-message-box-icon--error {
  --el-messagebox-color: var(--el-color-error);
  color: var(--el-messagebox-color);
}

.el-message-box__message {
  margin: 0;
  min-width: 0;
}
.el-message-box__message p {
  margin: 0;
  line-height: var(--el-messagebox-font-line-height);
}

.el-message-box__errormsg {
  color: var(--el-color-error);
  font-size: var(--el-messagebox-error-font-size);
  line-height: var(--el-messagebox-font-line-height);
}

.el-message-box__btns {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: center;
  padding-top: var(--el-messagebox-padding-primary);
}

.el-message-box--center .el-message-box__title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
}

.el-message-box--center .el-message-box__status {
  font-size: inherit;
}

.el-message-box--center .el-message-box__btns {
  justify-content: center;
}

.el-message-box--center .el-message-box__container {
  justify-content: center;
}

.el-message-box-parent--hidden {
  overflow: hidden;
}

.fade-in-linear-enter-active .el-overlay-message-box {
  animation: msgbox-fade-in var(--el-transition-duration);
}

.fade-in-linear-leave-active .el-overlay-message-box {
  animation: msgbox-fade-in var(--el-transition-duration) reverse;
}

@keyframes msgbox-fade-in {
  0% {
    transform: translate3d(0, -20px, 0);
    opacity: 0;
  }
  100% {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}/* Element Chalk Variables */
.el-button {
  --el-button-font-weight: var(--el-font-weight-primary);
  --el-button-border-color: var(--el-border-color);
  --el-button-bg-color: var(--el-fill-color-blank);
  --el-button-text-color: var(--el-text-color-regular);
  --el-button-disabled-text-color: var(--el-disabled-text-color);
  --el-button-disabled-bg-color: var(--el-fill-color-blank);
  --el-button-disabled-border-color: var(--el-border-color-light);
  --el-button-divide-border-color: rgba(255, 255, 255, 0.5);
  --el-button-hover-text-color: var(--el-color-primary);
  --el-button-hover-bg-color: var(--el-color-primary-light-9);
  --el-button-hover-border-color: var(--el-color-primary-light-7);
  --el-button-active-text-color: var(--el-button-hover-text-color);
  --el-button-active-border-color: var(--el-color-primary);
  --el-button-active-bg-color: var(--el-button-hover-bg-color);
  --el-button-outline-color: var(--el-color-primary-light-5);
  --el-button-hover-link-text-color: var(--el-text-color-secondary);
  --el-button-active-color: var(--el-text-color-primary);
}

.el-button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  line-height: 1;
  height: 32px;
  white-space: nowrap;
  cursor: pointer;
  color: var(--el-button-text-color);
  text-align: center;
  box-sizing: border-box;
  outline: none;
  transition: 0.1s;
  font-weight: var(--el-button-font-weight);
  -webkit-user-select: none;
          user-select: none;
  vertical-align: middle;
  -webkit-appearance: none;
  background-color: var(--el-button-bg-color);
  border: var(--el-border);
  border-color: var(--el-button-border-color);
}
.el-button:hover {
  color: var(--el-button-hover-text-color);
  border-color: var(--el-button-hover-border-color);
  background-color: var(--el-button-hover-bg-color);
  outline: none;
}
.el-button:active {
  color: var(--el-button-active-text-color);
  border-color: var(--el-button-active-border-color);
  background-color: var(--el-button-active-bg-color);
  outline: none;
}
.el-button:focus-visible {
  outline: 2px solid var(--el-button-outline-color);
  outline-offset: 1px;
  transition: outline-offset 0s, outline 0s;
}
.el-button > span {
  display: inline-flex;
  align-items: center;
}
.el-button + .el-button {
  margin-left: 12px;
}
.el-button {
  padding: 8px 15px;
  font-size: var(--el-font-size-base);
  border-radius: var(--el-border-radius-base);
}
.el-button.is-round {
  padding: 8px 15px;
}
.el-button::-moz-focus-inner {
  border: 0;
}
.el-button [class*=el-icon] + span {
  margin-left: 6px;
}
.el-button [class*=el-icon] svg {
  vertical-align: bottom;
}
.el-button.is-plain {
  --el-button-hover-text-color: var(--el-color-primary);
  --el-button-hover-bg-color: var(--el-fill-color-blank);
  --el-button-hover-border-color: var(--el-color-primary);
}

.el-button.is-active {
  color: var(--el-button-active-text-color);
  border-color: var(--el-button-active-border-color);
  background-color: var(--el-button-active-bg-color);
  outline: none;
}

.el-button.is-disabled, .el-button.is-disabled:hover {
  color: var(--el-button-disabled-text-color);
  cursor: not-allowed;
  background-image: none;
  background-color: var(--el-button-disabled-bg-color);
  border-color: var(--el-button-disabled-border-color);
}

.el-button.is-loading {
  position: relative;
  pointer-events: none;
}
.el-button.is-loading:before {
  z-index: 1;
  pointer-events: none;
  content: "";
  position: absolute;
  left: -1px;
  top: -1px;
  right: -1px;
  bottom: -1px;
  border-radius: inherit;
  background-color: var(--el-mask-color-extra-light);
}

.el-button.is-round {
  border-radius: var(--el-border-radius-round);
}

.el-button.is-circle {
  width: 32px;
  border-radius: 50%;
  padding: 8px;
}

.el-button.is-text {
  color: var(--el-button-text-color);
  border: 0 solid transparent;
  background-color: transparent;
}
.el-button.is-text.is-disabled {
  color: var(--el-button-disabled-text-color);
  background-color: transparent !important;
}

.el-button.is-text:not(.is-disabled):hover {
  background-color: var(--el-fill-color-light);
}
.el-button.is-text:not(.is-disabled):focus-visible {
  outline: 2px solid var(--el-button-outline-color);
  outline-offset: 1px;
  transition: outline-offset 0s, outline 0s;
}
.el-button.is-text:not(.is-disabled):active {
  background-color: var(--el-fill-color);
}
.el-button.is-text:not(.is-disabled).is-has-bg {
  background-color: var(--el-fill-color-light);
}
.el-button.is-text:not(.is-disabled).is-has-bg:hover {
  background-color: var(--el-fill-color);
}
.el-button.is-text:not(.is-disabled).is-has-bg:active {
  background-color: var(--el-fill-color-dark);
}

.el-button__text--expand {
  letter-spacing: 0.3em;
  margin-right: -0.3em;
}

.el-button.is-link {
  border-color: transparent;
  color: var(--el-button-text-color);
  background: transparent;
  padding: 2px;
  height: auto;
}
.el-button.is-link:hover {
  color: var(--el-button-hover-link-text-color);
}
.el-button.is-link.is-disabled {
  color: var(--el-button-disabled-text-color);
  background-color: transparent !important;
  border-color: transparent !important;
}

.el-button.is-link:not(.is-disabled):hover {
  border-color: transparent;
  background-color: transparent;
}
.el-button.is-link:not(.is-disabled):active {
  color: var(--el-button-active-color);
  border-color: transparent;
  background-color: transparent;
}

.el-button--text {
  border-color: transparent;
  background: transparent;
  color: var(--el-color-primary);
  padding-left: 0;
  padding-right: 0;
}
.el-button--text.is-disabled {
  color: var(--el-button-disabled-text-color);
  background-color: transparent !important;
  border-color: transparent !important;
}

.el-button--text:not(.is-disabled):hover {
  color: var(--el-color-primary-light-3);
  border-color: transparent;
  background-color: transparent;
}
.el-button--text:not(.is-disabled):active {
  color: var(--el-color-primary-dark-2);
  border-color: transparent;
  background-color: transparent;
}

.el-button__link--expand {
  letter-spacing: 0.3em;
  margin-right: -0.3em;
}

.el-button--primary {
  --el-button-text-color: var(--el-color-white);
  --el-button-bg-color: var(--el-color-primary);
  --el-button-border-color: var(--el-color-primary);
  --el-button-outline-color: var(--el-color-primary-light-5);
  --el-button-active-color: var(--el-color-primary-dark-2);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-link-text-color: var(--el-color-primary-light-5);
  --el-button-hover-bg-color: var(--el-color-primary-light-3);
  --el-button-hover-border-color: var(--el-color-primary-light-3);
  --el-button-active-bg-color: var(--el-color-primary-dark-2);
  --el-button-active-border-color: var(--el-color-primary-dark-2);
  --el-button-disabled-text-color: var(--el-color-white);
  --el-button-disabled-bg-color: var(--el-color-primary-light-5);
  --el-button-disabled-border-color: var(--el-color-primary-light-5);
}
.el-button--primary.is-plain, .el-button--primary.is-text, .el-button--primary.is-link {
  --el-button-text-color: var(--el-color-primary);
  --el-button-bg-color: var(--el-color-primary-light-9);
  --el-button-border-color: var(--el-color-primary-light-5);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-bg-color: var(--el-color-primary);
  --el-button-hover-border-color: var(--el-color-primary);
  --el-button-active-text-color: var(--el-color-white);
}
.el-button--primary.is-plain.is-disabled, .el-button--primary.is-plain.is-disabled:hover, .el-button--primary.is-plain.is-disabled:focus, .el-button--primary.is-plain.is-disabled:active, .el-button--primary.is-text.is-disabled, .el-button--primary.is-text.is-disabled:hover, .el-button--primary.is-text.is-disabled:focus, .el-button--primary.is-text.is-disabled:active, .el-button--primary.is-link.is-disabled, .el-button--primary.is-link.is-disabled:hover, .el-button--primary.is-link.is-disabled:focus, .el-button--primary.is-link.is-disabled:active {
  color: var(--el-color-primary-light-5);
  background-color: var(--el-color-primary-light-9);
  border-color: var(--el-color-primary-light-8);
}

.el-button--success {
  --el-button-text-color: var(--el-color-white);
  --el-button-bg-color: var(--el-color-success);
  --el-button-border-color: var(--el-color-success);
  --el-button-outline-color: var(--el-color-success-light-5);
  --el-button-active-color: var(--el-color-success-dark-2);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-link-text-color: var(--el-color-success-light-5);
  --el-button-hover-bg-color: var(--el-color-success-light-3);
  --el-button-hover-border-color: var(--el-color-success-light-3);
  --el-button-active-bg-color: var(--el-color-success-dark-2);
  --el-button-active-border-color: var(--el-color-success-dark-2);
  --el-button-disabled-text-color: var(--el-color-white);
  --el-button-disabled-bg-color: var(--el-color-success-light-5);
  --el-button-disabled-border-color: var(--el-color-success-light-5);
}
.el-button--success.is-plain, .el-button--success.is-text, .el-button--success.is-link {
  --el-button-text-color: var(--el-color-success);
  --el-button-bg-color: var(--el-color-success-light-9);
  --el-button-border-color: var(--el-color-success-light-5);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-bg-color: var(--el-color-success);
  --el-button-hover-border-color: var(--el-color-success);
  --el-button-active-text-color: var(--el-color-white);
}
.el-button--success.is-plain.is-disabled, .el-button--success.is-plain.is-disabled:hover, .el-button--success.is-plain.is-disabled:focus, .el-button--success.is-plain.is-disabled:active, .el-button--success.is-text.is-disabled, .el-button--success.is-text.is-disabled:hover, .el-button--success.is-text.is-disabled:focus, .el-button--success.is-text.is-disabled:active, .el-button--success.is-link.is-disabled, .el-button--success.is-link.is-disabled:hover, .el-button--success.is-link.is-disabled:focus, .el-button--success.is-link.is-disabled:active {
  color: var(--el-color-success-light-5);
  background-color: var(--el-color-success-light-9);
  border-color: var(--el-color-success-light-8);
}

.el-button--warning {
  --el-button-text-color: var(--el-color-white);
  --el-button-bg-color: var(--el-color-warning);
  --el-button-border-color: var(--el-color-warning);
  --el-button-outline-color: var(--el-color-warning-light-5);
  --el-button-active-color: var(--el-color-warning-dark-2);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-link-text-color: var(--el-color-warning-light-5);
  --el-button-hover-bg-color: var(--el-color-warning-light-3);
  --el-button-hover-border-color: var(--el-color-warning-light-3);
  --el-button-active-bg-color: var(--el-color-warning-dark-2);
  --el-button-active-border-color: var(--el-color-warning-dark-2);
  --el-button-disabled-text-color: var(--el-color-white);
  --el-button-disabled-bg-color: var(--el-color-warning-light-5);
  --el-button-disabled-border-color: var(--el-color-warning-light-5);
}
.el-button--warning.is-plain, .el-button--warning.is-text, .el-button--warning.is-link {
  --el-button-text-color: var(--el-color-warning);
  --el-button-bg-color: var(--el-color-warning-light-9);
  --el-button-border-color: var(--el-color-warning-light-5);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-bg-color: var(--el-color-warning);
  --el-button-hover-border-color: var(--el-color-warning);
  --el-button-active-text-color: var(--el-color-white);
}
.el-button--warning.is-plain.is-disabled, .el-button--warning.is-plain.is-disabled:hover, .el-button--warning.is-plain.is-disabled:focus, .el-button--warning.is-plain.is-disabled:active, .el-button--warning.is-text.is-disabled, .el-button--warning.is-text.is-disabled:hover, .el-button--warning.is-text.is-disabled:focus, .el-button--warning.is-text.is-disabled:active, .el-button--warning.is-link.is-disabled, .el-button--warning.is-link.is-disabled:hover, .el-button--warning.is-link.is-disabled:focus, .el-button--warning.is-link.is-disabled:active {
  color: var(--el-color-warning-light-5);
  background-color: var(--el-color-warning-light-9);
  border-color: var(--el-color-warning-light-8);
}

.el-button--danger {
  --el-button-text-color: var(--el-color-white);
  --el-button-bg-color: var(--el-color-danger);
  --el-button-border-color: var(--el-color-danger);
  --el-button-outline-color: var(--el-color-danger-light-5);
  --el-button-active-color: var(--el-color-danger-dark-2);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-link-text-color: var(--el-color-danger-light-5);
  --el-button-hover-bg-color: var(--el-color-danger-light-3);
  --el-button-hover-border-color: var(--el-color-danger-light-3);
  --el-button-active-bg-color: var(--el-color-danger-dark-2);
  --el-button-active-border-color: var(--el-color-danger-dark-2);
  --el-button-disabled-text-color: var(--el-color-white);
  --el-button-disabled-bg-color: var(--el-color-danger-light-5);
  --el-button-disabled-border-color: var(--el-color-danger-light-5);
}
.el-button--danger.is-plain, .el-button--danger.is-text, .el-button--danger.is-link {
  --el-button-text-color: var(--el-color-danger);
  --el-button-bg-color: var(--el-color-danger-light-9);
  --el-button-border-color: var(--el-color-danger-light-5);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-bg-color: var(--el-color-danger);
  --el-button-hover-border-color: var(--el-color-danger);
  --el-button-active-text-color: var(--el-color-white);
}
.el-button--danger.is-plain.is-disabled, .el-button--danger.is-plain.is-disabled:hover, .el-button--danger.is-plain.is-disabled:focus, .el-button--danger.is-plain.is-disabled:active, .el-button--danger.is-text.is-disabled, .el-button--danger.is-text.is-disabled:hover, .el-button--danger.is-text.is-disabled:focus, .el-button--danger.is-text.is-disabled:active, .el-button--danger.is-link.is-disabled, .el-button--danger.is-link.is-disabled:hover, .el-button--danger.is-link.is-disabled:focus, .el-button--danger.is-link.is-disabled:active {
  color: var(--el-color-danger-light-5);
  background-color: var(--el-color-danger-light-9);
  border-color: var(--el-color-danger-light-8);
}

.el-button--info {
  --el-button-text-color: var(--el-color-white);
  --el-button-bg-color: var(--el-color-info);
  --el-button-border-color: var(--el-color-info);
  --el-button-outline-color: var(--el-color-info-light-5);
  --el-button-active-color: var(--el-color-info-dark-2);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-link-text-color: var(--el-color-info-light-5);
  --el-button-hover-bg-color: var(--el-color-info-light-3);
  --el-button-hover-border-color: var(--el-color-info-light-3);
  --el-button-active-bg-color: var(--el-color-info-dark-2);
  --el-button-active-border-color: var(--el-color-info-dark-2);
  --el-button-disabled-text-color: var(--el-color-white);
  --el-button-disabled-bg-color: var(--el-color-info-light-5);
  --el-button-disabled-border-color: var(--el-color-info-light-5);
}
.el-button--info.is-plain, .el-button--info.is-text, .el-button--info.is-link {
  --el-button-text-color: var(--el-color-info);
  --el-button-bg-color: var(--el-color-info-light-9);
  --el-button-border-color: var(--el-color-info-light-5);
  --el-button-hover-text-color: var(--el-color-white);
  --el-button-hover-bg-color: var(--el-color-info);
  --el-button-hover-border-color: var(--el-color-info);
  --el-button-active-text-color: var(--el-color-white);
}
.el-button--info.is-plain.is-disabled, .el-button--info.is-plain.is-disabled:hover, .el-button--info.is-plain.is-disabled:focus, .el-button--info.is-plain.is-disabled:active, .el-button--info.is-text.is-disabled, .el-button--info.is-text.is-disabled:hover, .el-button--info.is-text.is-disabled:focus, .el-button--info.is-text.is-disabled:active, .el-button--info.is-link.is-disabled, .el-button--info.is-link.is-disabled:hover, .el-button--info.is-link.is-disabled:focus, .el-button--info.is-link.is-disabled:active {
  color: var(--el-color-info-light-5);
  background-color: var(--el-color-info-light-9);
  border-color: var(--el-color-info-light-8);
}

.el-button--large {
  --el-button-size: 40px;
  height: var(--el-button-size);
}
.el-button--large [class*=el-icon] + span {
  margin-left: 8px;
}
.el-button--large {
  padding: 12px 19px;
  font-size: var(--el-font-size-base);
  border-radius: var(--el-border-radius-base);
}
.el-button--large.is-round {
  padding: 12px 19px;
}
.el-button--large.is-circle {
  width: var(--el-button-size);
  padding: 12px;
}

.el-button--small {
  --el-button-size: 24px;
  height: var(--el-button-size);
}
.el-button--small [class*=el-icon] + span {
  margin-left: 4px;
}
.el-button--small {
  padding: 5px 11px;
  font-size: 12px;
  border-radius: calc(var(--el-border-radius-base) - 1px);
}
.el-button--small.is-round {
  padding: 5px 11px;
}
.el-button--small.is-circle {
  width: var(--el-button-size);
  padding: 5px;
}/* Element Chalk Variables */
.el-textarea {
  --el-input-text-color: var(--el-text-color-regular);
  --el-input-border: var(--el-border);
  --el-input-hover-border: var(--el-border-color-hover);
  --el-input-focus-border: var(--el-color-primary);
  --el-input-transparent-border: 0 0 0 1px transparent inset;
  --el-input-border-color: var(--el-border-color);
  --el-input-border-radius: var(--el-border-radius-base);
  --el-input-bg-color: var(--el-fill-color-blank);
  --el-input-icon-color: var(--el-text-color-placeholder);
  --el-input-placeholder-color: var(--el-text-color-placeholder);
  --el-input-hover-border-color: var(--el-border-color-hover);
  --el-input-clear-hover-color: var(--el-text-color-secondary);
  --el-input-focus-border-color: var(--el-color-primary);
  --el-input-width: 100%;
}

.el-textarea {
  position: relative;
  display: inline-block;
  width: 100%;
  vertical-align: bottom;
  font-size: var(--el-font-size-base);
}
.el-textarea__inner {
  position: relative;
  display: block;
  resize: vertical;
  padding: 5px 11px;
  line-height: 1.5;
  box-sizing: border-box;
  width: 100%;
  font-size: inherit;
  font-family: inherit;
  color: var(--el-input-text-color, var(--el-text-color-regular));
  background-color: var(--el-input-bg-color, var(--el-fill-color-blank));
  background-image: none;
  -webkit-appearance: none;
  box-shadow: 0 0 0 1px var(--el-input-border-color, var(--el-border-color)) inset;
  border-radius: var(--el-input-border-radius, var(--el-border-radius-base));
  transition: var(--el-transition-box-shadow);
  border: none;
}
.el-textarea__inner::placeholder {
  color: var(--el-input-placeholder-color, var(--el-text-color-placeholder));
}
.el-textarea__inner:hover {
  box-shadow: 0 0 0 1px var(--el-input-hover-border-color) inset;
}
.el-textarea__inner:focus {
  outline: none;
  box-shadow: 0 0 0 1px var(--el-input-focus-border-color) inset;
}

.el-textarea .el-input__count {
  color: var(--el-color-info);
  background: var(--el-fill-color-blank);
  position: absolute;
  font-size: 12px;
  line-height: 14px;
  bottom: 5px;
  right: 10px;
}
.el-textarea .el-input__count.is-outside {
  position: absolute;
  background: transparent;
  padding-top: 2px;
  top: 100%;
  right: 0;
  bottom: unset;
  line-height: 1;
}

.el-textarea.is-disabled .el-textarea__inner {
  box-shadow: 0 0 0 1px var(--el-disabled-border-color) inset;
  background-color: var(--el-disabled-bg-color);
  color: var(--el-disabled-text-color);
  cursor: not-allowed;
}
.el-textarea.is-disabled .el-textarea__inner::placeholder {
  color: var(--el-text-color-placeholder);
}

.el-textarea.is-exceed .el-textarea__inner {
  box-shadow: 0 0 0 1px var(--el-color-danger) inset;
}
.el-textarea.is-exceed .el-input__count {
  color: var(--el-color-danger);
}

.el-input {
  --el-input-text-color: var(--el-text-color-regular);
  --el-input-border: var(--el-border);
  --el-input-hover-border: var(--el-border-color-hover);
  --el-input-focus-border: var(--el-color-primary);
  --el-input-transparent-border: 0 0 0 1px transparent inset;
  --el-input-border-color: var(--el-border-color);
  --el-input-border-radius: var(--el-border-radius-base);
  --el-input-bg-color: var(--el-fill-color-blank);
  --el-input-icon-color: var(--el-text-color-placeholder);
  --el-input-placeholder-color: var(--el-text-color-placeholder);
  --el-input-hover-border-color: var(--el-border-color-hover);
  --el-input-clear-hover-color: var(--el-text-color-secondary);
  --el-input-focus-border-color: var(--el-color-primary);
  --el-input-width: 100%;
}

.el-input {
  --el-input-height: var(--el-component-size);
  position: relative;
  font-size: var(--el-font-size-base);
  display: inline-flex;
  width: var(--el-input-width);
  line-height: var(--el-input-height);
  box-sizing: border-box;
  vertical-align: middle;
}
.el-input::-webkit-scrollbar {
  z-index: 11;
  width: 6px;
}
.el-input::-webkit-scrollbar:horizontal {
  height: 6px;
}
.el-input::-webkit-scrollbar-thumb {
  border-radius: 5px;
  width: 6px;
  background: var(--el-text-color-disabled);
}
.el-input::-webkit-scrollbar-corner {
  background: var(--el-fill-color-blank);
}
.el-input::-webkit-scrollbar-track {
  background: var(--el-fill-color-blank);
}
.el-input::-webkit-scrollbar-track-piece {
  background: var(--el-fill-color-blank);
  width: 6px;
}
.el-input .el-input__clear, .el-input .el-input__password {
  color: var(--el-input-icon-color);
  font-size: 14px;
  cursor: pointer;
}
.el-input .el-input__clear:hover, .el-input .el-input__password:hover {
  color: var(--el-input-clear-hover-color);
}
.el-input .el-input__count {
  height: 100%;
  display: inline-flex;
  align-items: center;
  color: var(--el-color-info);
  font-size: 12px;
}
.el-input .el-input__count .el-input__count-inner {
  background: var(--el-fill-color-blank);
  line-height: initial;
  display: inline-block;
  padding-left: 8px;
}
.el-input .el-input__count.is-outside {
  height: unset;
  position: absolute;
  padding-top: 2px;
  top: 100%;
  right: 0;
}
.el-input .el-input__count.is-outside .el-input__count-inner {
  background: transparent;
  padding-left: 0px;
  line-height: 1;
}

.el-input__wrapper {
  display: inline-flex;
  flex-grow: 1;
  align-items: center;
  justify-content: center;
  padding: 1px 11px;
  background-color: var(--el-input-bg-color, var(--el-fill-color-blank));
  background-image: none;
  border-radius: var(--el-input-border-radius, var(--el-border-radius-base));
  cursor: text;
  transition: var(--el-transition-box-shadow);
  transform: translate3d(0, 0, 0);
  box-shadow: 0 0 0 1px var(--el-input-border-color, var(--el-border-color)) inset;
}
.el-input__wrapper:hover {
  box-shadow: 0 0 0 1px var(--el-input-hover-border-color) inset;
}
.el-input__wrapper.is-focus {
  box-shadow: 0 0 0 1px var(--el-input-focus-border-color) inset;
}

.el-input {
  --el-input-inner-height: calc(var(--el-input-height, 32px) - 2px);
}
.el-input__inner {
  width: 100%;
  flex-grow: 1;
  -webkit-appearance: none;
  color: var(--el-input-text-color, var(--el-text-color-regular));
  font-size: inherit;
  height: var(--el-input-inner-height);
  line-height: var(--el-input-inner-height);
  padding: 0;
  outline: none;
  border: none;
  background: none;
  box-sizing: border-box;
}
.el-input__inner:focus {
  outline: none;
}
.el-input__inner::placeholder {
  color: var(--el-input-placeholder-color, var(--el-text-color-placeholder));
}
.el-input__inner[type=password]::-ms-reveal {
  display: none;
}
.el-input__inner[type=number] {
  line-height: 1;
}

.el-input__prefix {
  display: inline-flex;
  white-space: nowrap;
  flex-shrink: 0;
  flex-wrap: nowrap;
  height: 100%;
  line-height: var(--el-input-inner-height);
  text-align: center;
  color: var(--el-input-icon-color, var(--el-text-color-placeholder));
  transition: all var(--el-transition-duration);
  pointer-events: none;
}

.el-input__prefix-inner {
  pointer-events: all;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.el-input__prefix-inner > :last-child {
  margin-right: 8px;
}
.el-input__prefix-inner > :first-child, .el-input__prefix-inner > :first-child.el-input__icon {
  margin-left: 0;
}

.el-input__suffix {
  display: inline-flex;
  white-space: nowrap;
  flex-shrink: 0;
  flex-wrap: nowrap;
  height: 100%;
  line-height: var(--el-input-inner-height);
  text-align: center;
  color: var(--el-input-icon-color, var(--el-text-color-placeholder));
  transition: all var(--el-transition-duration);
  pointer-events: none;
}

.el-input__suffix-inner {
  pointer-events: all;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.el-input__suffix-inner > :first-child {
  margin-left: 8px;
}

.el-input .el-input__icon {
  height: inherit;
  line-height: inherit;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all var(--el-transition-duration);
  margin-left: 8px;
}
.el-input__validateIcon {
  pointer-events: none;
}

.el-input.is-active .el-input__wrapper {
  box-shadow: 0 0 0 1px var(--el-input-focus-color, ) inset;
}

.el-input.is-disabled {
  cursor: not-allowed;
}
.el-input.is-disabled .el-input__wrapper {
  background-color: var(--el-disabled-bg-color);
  cursor: not-allowed;
  box-shadow: 0 0 0 1px var(--el-disabled-border-color) inset;
}
.el-input.is-disabled .el-input__inner {
  color: var(--el-disabled-text-color);
  -webkit-text-fill-color: var(--el-disabled-text-color);
  cursor: not-allowed;
}
.el-input.is-disabled .el-input__inner::placeholder {
  color: var(--el-text-color-placeholder);
}
.el-input.is-disabled .el-input__icon {
  cursor: not-allowed;
}
.el-input.is-disabled .el-input__prefix-inner,
.el-input.is-disabled .el-input__suffix-inner {
  pointer-events: none;
}

.el-input.is-exceed .el-input__wrapper {
  box-shadow: 0 0 0 1px var(--el-color-danger) inset;
}
.el-input.is-exceed .el-input__suffix .el-input__count {
  color: var(--el-color-danger);
}

.el-input--large {
  --el-input-height: var(--el-component-size-large);
  font-size: 14px;
}
.el-input--large .el-input__wrapper {
  padding: 1px 15px;
}

.el-input--large {
  --el-input-inner-height: calc(var(--el-input-height, 40px) - 2px);
}

.el-input--small {
  --el-input-height: var(--el-component-size-small);
  font-size: 12px;
}
.el-input--small .el-input__wrapper {
  padding: 1px 7px;
}

.el-input--small {
  --el-input-inner-height: calc(var(--el-input-height, 24px) - 2px);
}

.el-input-group {
  display: inline-flex;
  width: 100%;
  align-items: stretch;
}
.el-input-group__append, .el-input-group__prepend {
  background-color: var(--el-fill-color-light);
  color: var(--el-color-info);
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-height: 100%;
  border-radius: var(--el-input-border-radius);
  padding: 0 20px;
  white-space: nowrap;
}
.el-input-group__append:focus, .el-input-group__prepend:focus {
  outline: none;
}
.el-input-group__append .el-select,
.el-input-group__append .el-button, .el-input-group__prepend .el-select,
.el-input-group__prepend .el-button {
  display: inline-block;
  flex: 1;
  margin: 0 -20px;
}
.el-input-group__append button.el-button,
.el-input-group__append button.el-button:hover,
.el-input-group__append div.el-select .el-select__wrapper,
.el-input-group__append div.el-select:hover .el-select__wrapper, .el-input-group__prepend button.el-button,
.el-input-group__prepend button.el-button:hover,
.el-input-group__prepend div.el-select .el-select__wrapper,
.el-input-group__prepend div.el-select:hover .el-select__wrapper {
  border-color: transparent;
  background-color: transparent;
  color: inherit;
}
.el-input-group__append .el-button,
.el-input-group__append .el-input, .el-input-group__prepend .el-button,
.el-input-group__prepend .el-input {
  font-size: inherit;
}

.el-input-group__prepend {
  border-right: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  box-shadow: 1px 0 0 0 var(--el-input-border-color) inset, 0 1px 0 0 var(--el-input-border-color) inset, 0 -1px 0 0 var(--el-input-border-color) inset;
}

.el-input-group__append {
  border-left: 0;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  box-shadow: 0 1px 0 0 var(--el-input-border-color) inset, 0 -1px 0 0 var(--el-input-border-color) inset, -1px 0 0 0 var(--el-input-border-color) inset;
}

.el-input-group--prepend > .el-input__wrapper {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.el-input-group--prepend .el-input-group__prepend .el-select .el-select__wrapper {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  box-shadow: 1px 0 0 0 var(--el-input-border-color) inset, 0 1px 0 0 var(--el-input-border-color) inset, 0 -1px 0 0 var(--el-input-border-color) inset;
}

.el-input-group--append > .el-input__wrapper {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.el-input-group--append .el-input-group__append .el-select .el-select__wrapper {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  box-shadow: 0 1px 0 0 var(--el-input-border-color) inset, 0 -1px 0 0 var(--el-input-border-color) inset, -1px 0 0 0 var(--el-input-border-color) inset;
}

.el-input-hidden {
  display: none !important;
}/* Element Chalk Variables */
.el-badge {
  --el-badge-bg-color: var(--el-color-danger);
  --el-badge-radius: 10px;
  --el-badge-font-size: 12px;
  --el-badge-padding: 6px;
  --el-badge-size: 18px;
  position: relative;
  vertical-align: middle;
  display: inline-block;
  width: fit-content;
}
.el-badge__content {
  background-color: var(--el-badge-bg-color);
  border-radius: var(--el-badge-radius);
  color: var(--el-color-white);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: var(--el-badge-font-size);
  height: var(--el-badge-size);
  padding: 0 var(--el-badge-padding);
  white-space: nowrap;
  border: 1px solid var(--el-bg-color);
}
.el-badge__content.is-fixed {
  position: absolute;
  top: 0;
  right: calc(1px + var(--el-badge-size) / 2);
  transform: translateY(-50%) translateX(100%);
  z-index: var(--el-index-normal);
}
.el-badge__content.is-fixed.is-dot {
  right: 5px;
}

.el-badge__content.is-dot {
  height: 8px;
  width: 8px;
  padding: 0;
  right: 0;
  border-radius: 50%;
}

.el-badge__content.is-hide-zero {
  display: none;
}

.el-badge__content--primary {
  background-color: var(--el-color-primary);
}

.el-badge__content--success {
  background-color: var(--el-color-success);
}

.el-badge__content--warning {
  background-color: var(--el-color-warning);
}

.el-badge__content--info {
  background-color: var(--el-color-info);
}

.el-badge__content--danger {
  background-color: var(--el-color-danger);
}/* Element Chalk Variables */
.el-message {
  --el-message-bg-color: var(--el-color-info-light-9);
  --el-message-border-color: var(--el-border-color-lighter);
  --el-message-padding: 11px 15px;
  --el-message-close-size: 16px;
  --el-message-close-icon-color: var(--el-text-color-placeholder);
  --el-message-close-hover-color: var(--el-text-color-secondary);
}

.el-message {
  width: fit-content;
  max-width: calc(100% - 32px);
  box-sizing: border-box;
  border-radius: var(--el-border-radius-base);
  border-width: var(--el-border-width);
  border-style: var(--el-border-style);
  border-color: var(--el-message-border-color);
  position: fixed;
  background-color: var(--el-message-bg-color);
  transition: opacity var(--el-transition-duration), transform 0.4s, top 0.4s, bottom 0.4s;
  padding: var(--el-message-padding);
  display: flex;
  align-items: center;
  gap: 8px;
}
.el-message.is-left {
  left: 16px;
}
.el-message.is-right {
  right: 16px;
}
.el-message.is-center {
  left: 0;
  right: 0;
  margin: 0 auto;
}
.el-message.is-plain {
  background-color: var(--el-bg-color-overlay);
  border-color: var(--el-bg-color-overlay);
  box-shadow: var(--el-box-shadow-light);
}

.el-message p {
  margin: 0;
}
.el-message--primary {
  --el-message-bg-color: var(--el-color-primary-light-9);
  --el-message-border-color: var(--el-color-primary-light-8);
  --el-message-text-color: var(--el-color-primary);
}
.el-message--primary .el-message__content {
  color: var(--el-message-text-color);
  overflow-wrap: break-word;
}

.el-message .el-message-icon--primary {
  color: var(--el-message-text-color);
}
.el-message--success {
  --el-message-bg-color: var(--el-color-success-light-9);
  --el-message-border-color: var(--el-color-success-light-8);
  --el-message-text-color: var(--el-color-success);
}
.el-message--success .el-message__content {
  color: var(--el-message-text-color);
  overflow-wrap: break-word;
}

.el-message .el-message-icon--success {
  color: var(--el-message-text-color);
}
.el-message--info {
  --el-message-bg-color: var(--el-color-info-light-9);
  --el-message-border-color: var(--el-color-info-light-8);
  --el-message-text-color: var(--el-color-info);
}
.el-message--info .el-message__content {
  color: var(--el-message-text-color);
  overflow-wrap: break-word;
}

.el-message .el-message-icon--info {
  color: var(--el-message-text-color);
}
.el-message--warning {
  --el-message-bg-color: var(--el-color-warning-light-9);
  --el-message-border-color: var(--el-color-warning-light-8);
  --el-message-text-color: var(--el-color-warning);
}
.el-message--warning .el-message__content {
  color: var(--el-message-text-color);
  overflow-wrap: break-word;
}

.el-message .el-message-icon--warning {
  color: var(--el-message-text-color);
}
.el-message--error {
  --el-message-bg-color: var(--el-color-error-light-9);
  --el-message-border-color: var(--el-color-error-light-8);
  --el-message-text-color: var(--el-color-error);
}
.el-message--error .el-message__content {
  color: var(--el-message-text-color);
  overflow-wrap: break-word;
}

.el-message .el-message-icon--error {
  color: var(--el-message-text-color);
}
.el-message .el-message__badge {
  position: absolute;
  top: -8px;
  right: -8px;
}
.el-message__content {
  padding: 0;
  font-size: 14px;
  line-height: 1;
}
.el-message__content:focus {
  outline-width: 0;
}

.el-message .el-message__closeBtn {
  cursor: pointer;
  color: var(--el-message-close-icon-color);
  font-size: var(--el-message-close-size);
}
.el-message .el-message__closeBtn:focus {
  outline-width: 0;
}
.el-message .el-message__closeBtn:hover {
  color: var(--el-message-close-hover-color);
}

.el-message-fade-enter-from,
.el-message-fade-leave-to {
  opacity: 0;
  transform: translateY(-100%);
}
.el-message-fade-enter-from.is-bottom,
.el-message-fade-leave-to.is-bottom {
  transform: translateY(100%);
}